Important CentOS php53 Security Update

Metadata

high
7.5
php53-5.3.3-26.el5_11.i386.rpm, php53-5.3.3-26.el5_11.src.rpm, php53-5.3.3-26.el5_11.x86_64.rpm, php53-bcmath-5.3.3-26.el5_11.i386.rpm, php53-bcmath-5.3.3-26.el5_11.x86_64.rpm, php53-cli-5.3.3-26.el5_11.i386.rpm, php53-cli-5.3.3-26.el5_11.x86_64.rpm, php53-common-5.3.3-26.el5_11.i386.rpm, php53-common-5.3.3-26.el5_11.x86_64.rpm, php53-dba-5.3.3-26.el5_11.i386.rpm, php53-dba-5.3.3-26.el5_11.x86_64.rpm, php53-devel-5.3.3-26.el5_11.i386.rpm, php53-devel-5.3.3-26.el5_11.x86_64.rpm, php53-gd-5.3.3-26.el5_11.i386.rpm, php53-gd-5.3.3-26.el5_11.x86_64.rpm, php53-imap-5.3.3-26.el5_11.i386.rpm, php53-imap-5.3.3-26.el5_11.x86_64.rpm, php53-intl-5.3.3-26.el5_11.i386.rpm, php53-intl-5.3.3-26.el5_11.x86_64.rpm, php53-ldap-5.3.3-26.el5_11.i386.rpm, php53-ldap-5.3.3-26.el5_11.x86_64.rpm, php53-mbstring-5.3.3-26.el5_11.i386.rpm, php53-mbstring-5.3.3-26.el5_11.x86_64.rpm, php53-mysql-5.3.3-26.el5_11.i386.rpm, php53-mysql-5.3.3-26.el5_11.x86_64.rpm, php53-odbc-5.3.3-26.el5_11.i386.rpm, php53-odbc-5.3.3-26.el5_11.x86_64.rpm, php53-pdo-5.3.3-26.el5_11.i386.rpm, php53-pdo-5.3.3-26.el5_11.x86_64.rpm, php53-pgsql-5.3.3-26.el5_11.i386.rpm, php53-pgsql-5.3.3-26.el5_11.x86_64.rpm, php53-process-5.3.3-26.el5_11.i386.rpm, php53-process-5.3.3-26.el5_11.x86_64.rpm, php53-pspell-5.3.3-26.el5_11.i386.rpm, php53-pspell-5.3.3-26.el5_11.x86_64.rpm, php53-snmp-5.3.3-26.el5_11.i386.rpm, php53-snmp-5.3.3-26.el5_11.x86_64.rpm, php53-soap-5.3.3-26.el5_11.i386.rpm, php53-soap-5.3.3-26.el5_11.x86_64.rpm, php53-xml-5.3.3-26.el5_11.i386.rpm, php53-xml-5.3.3-26.el5_11.x86_64.rpm, php53-xmlrpc-5.3.3-26.el5_11.i386.rpm, php53-xmlrpc-5.3.3-26.el5_11.x86_64.rpm
CVE-2014-3668, CVE-2014-3669, CVE-2014-3670, CVE-2014-3710
rhn.redhat.com, lists.centos.org
2014-10-31
2017-07-27 19:08
ALAS-2014-450
ALAS-2014-451
ALAS-2014-434
ALAS-2014-453
ALAS-2014-435
Important CentOS php Security Update
Important CentOS php Security Update
Moderate CentOS file Security Update
Moderate CentOS file Security Update
CVE-2014-3670 php5
CVE-2014-3710 php5
CVE-2014-3668 php5
CVE-2014-3669 php5
CVE-2014-3710 file
CVE-2014-3669
CVE-2014-3710
CVE-2014-3668
CVE-2014-3670
2017-04-01 19:08
2017-01-05 20:12

Description


Updated php53 packages that fix multiple security issues are now available
for Red Hat Enterprise Linux 5.

Red Hat Product Security has rated this update as having Important security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

A buffer overflow flaw was found in the Exif extension. A specially crafted
JPEG or TIFF file could cause a PHP application using the exif_thumbnail()
function to crash or, possibly, execute arbitrary code with the privileges
of the user running that PHP application. (CVE-2014-3670)

An integer overflow flaw was found in the way custom objects were
unserialized. Specially crafted input processed by the unserialize()
function could cause a PHP application to crash. (CVE-2014-3669)

An out-of-bounds read flaw was found in the way the File Information
(fileinfo) extension parsed Executable and Linkable Format (ELF) files.
A remote attacker could use this flaw to crash a PHP application using
fileinfo via a specially crafted ELF file. (CVE-2014-3710)

An out of bounds read flaw was found in the way the xmlrpc extension parsed
dates in the ISO 8601 format. A specially crafted XML-RPC request or
response could possibly cause a PHP application to crash. (CVE-2014-3668)

The CVE-2014-3710 issue was discovered by Francisco Alonso of Red Hat
Product Security.

All php53 users are advised to upgrade to these updated packages, which
contain backported patches to correct these issues. After installing the
updated packages, the httpd daemon must be restarted for the update to
take effect.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
5 php53 php53-5.3.3-26.el5_11.i386.rpm
php53 php53-5.3.3-26.el5_11.src.rpm
php53 php53-5.3.3-26.el5_11.x86_64.rpm
php53-bcmath php53-bcmath-5.3.3-26.el5_11.i386.rpm
php53-bcmath php53-bcmath-5.3.3-26.el5_11.x86_64.rpm
php53-cli php53-cli-5.3.3-26.el5_11.i386.rpm
php53-cli php53-cli-5.3.3-26.el5_11.x86_64.rpm
php53-common php53-common-5.3.3-26.el5_11.i386.rpm
php53-common php53-common-5.3.3-26.el5_11.x86_64.rpm
php53-dba php53-dba-5.3.3-26.el5_11.i386.rpm
php53-dba php53-dba-5.3.3-26.el5_11.x86_64.rpm
php53-devel php53-devel-5.3.3-26.el5_11.i386.rpm
php53-devel php53-devel-5.3.3-26.el5_11.x86_64.rpm
php53-gd php53-gd-5.3.3-26.el5_11.i386.rpm
php53-gd php53-gd-5.3.3-26.el5_11.x86_64.rpm
php53-imap php53-imap-5.3.3-26.el5_11.i386.rpm
php53-imap php53-imap-5.3.3-26.el5_11.x86_64.rpm
php53-intl php53-intl-5.3.3-26.el5_11.i386.rpm
php53-intl php53-intl-5.3.3-26.el5_11.x86_64.rpm
php53-ldap php53-ldap-5.3.3-26.el5_11.i386.rpm
php53-ldap php53-ldap-5.3.3-26.el5_11.x86_64.rpm
php53-mbstring php53-mbstring-5.3.3-26.el5_11.i386.rpm
php53-mbstring php53-mbstring-5.3.3-26.el5_11.x86_64.rpm
php53-mysql php53-mysql-5.3.3-26.el5_11.i386.rpm
php53-mysql php53-mysql-5.3.3-26.el5_11.x86_64.rpm
php53-odbc php53-odbc-5.3.3-26.el5_11.i386.rpm
php53-odbc php53-odbc-5.3.3-26.el5_11.x86_64.rpm
php53-pdo php53-pdo-5.3.3-26.el5_11.i386.rpm
php53-pdo php53-pdo-5.3.3-26.el5_11.x86_64.rpm
php53-pgsql php53-pgsql-5.3.3-26.el5_11.i386.rpm
php53-pgsql php53-pgsql-5.3.3-26.el5_11.x86_64.rpm
php53-process php53-process-5.3.3-26.el5_11.i386.rpm
php53-process php53-process-5.3.3-26.el5_11.x86_64.rpm
php53-pspell php53-pspell-5.3.3-26.el5_11.i386.rpm
php53-pspell php53-pspell-5.3.3-26.el5_11.x86_64.rpm
php53-snmp php53-snmp-5.3.3-26.el5_11.i386.rpm
php53-snmp php53-snmp-5.3.3-26.el5_11.x86_64.rpm
php53-soap php53-soap-5.3.3-26.el5_11.i386.rpm
php53-soap php53-soap-5.3.3-26.el5_11.x86_64.rpm
php53-xml php53-xml-5.3.3-26.el5_11.i386.rpm
php53-xml php53-xml-5.3.3-26.el5_11.x86_64.rpm
php53-xmlrpc php53-xmlrpc-5.3.3-26.el5_11.i386.rpm
php53-xmlrpc php53-xmlrpc-5.3.3-26.el5_11.x86_64.rpm